## javax.ws.rs.core
Interface Response.StatusType

All Known Implementing Classes:
  ClientResponse.Status, Response.Status

Enclosing class:
  Response

    public static interface Response.StatusType

Base interface for statuses used in responses.

Method Summary
`Response.Status.Family` | `getFamily()` Get the class of status code
`java.lang.String` | `getReasonPhrase()` Get the reason phrase
`int` | `getStatusCode()` Get the associated status code

Method Detail

### getStatusCode

    int getStatusCode()

  Get the associated status code

  Returns:
    the status code

### getFamily

    Response.Status.Family getFamily()

  Get the class of status code

  Returns:
    the class of status code

### getReasonPhrase

    java.lang.String getReasonPhrase()

  Get the reason phrase

  Returns:
    the reason phrase

Copyright © 2017 Oracle Corporation. All Rights Reserved.